FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum Development » Bug Reports » Getting a mail pipe error after upgrade
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Getting a mail pipe error after upgrade [message #163868] Sun, 05 December 2010 16:33 Go to next message
wittrs is currently offline  wittrs   United States
Messages: 134
Registered: August 2009
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
For some reason, I am getting a mail pipe error (directory names hidden):

sh: /name/local/home/name/FUDforum2/scripts/maillist.php: /usr/bin/php: bad interpreter: No such file or directory

Yet, the file and directory do exist. And the PIPE is deleting the mail as it is supposed to, it's just not piping it. In other words, it seems to be failing at this point here:

$PIPE = popen(SCRIPT_LOCATION, "w");
                        
                        fwrite($PIPE, $msgOutput);
                        pclose($PIPE);

                        imap_delete($mbox, $c);


Anyone experience this after upgrading?

Yours, a nuisance.
Re: Getting a mail pipe error after upgrade [message #163869 is a reply to message #163868] Sun, 05 December 2010 16:37 Go to previous messageGo to next message
wittrs is currently offline  wittrs   United States
Messages: 134
Registered: August 2009
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
I wonder if this has something to do with the permissions. I note that my maillist.php has different permission settings than my pipe.php. Does the upgrade alter the file permissions?
Re: Getting a mail pipe error after upgrade [message #163871 is a reply to message #163869] Sun, 05 December 2010 20:21 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3632
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Well, this is definitely not a FUDforum bug!
Maybe you should rather look at your own code (what is pipe.php?)
"bad interpreter" normally means /usr/bin/php wasn't found (1st line).
Re: Getting a mail pipe error after upgrade [message #163874 is a reply to message #163871] Sun, 05 December 2010 21:57 Go to previous message
wittrs is currently offline  wittrs   
Messages: 134
Registered: August 2009
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
... i's very strange and very frustrating. I've been working on it all evening. Here's what it boils down to. My host seems to have a problem calling php files with:

#!/usr/bin/php -q

I get the "bad interpreter" thingy.

However, the fix for this was usually to use this:

#!/hsphere/shared/php5/bin/php

This worked all the time. Now, however, it stopped working all day today -- until about several hours ago. But it only half works now. (Let me explain). It will pipe mail to the board, but I still get an error message from the cron tab:

"500. Internal Server Error"

I'm not sure what it is bitching about. The mail made it to the forum successfully. I just feel like telling it to quit whining.

And I'm wondering now whether all of my fudforum php files that begin with #! -- like nntp.php -- should be replaced with the shared binary line. What I guess I am really wondering is whether I have to worry about "500. Internal Server Error."

(I've written to my host for help. I'm bothering someone else, Frank!!!)
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Main Page w/ Links breaks the forum
Next Topic: Email Addresses in Body of NNTP Messages Imported
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sun Dec 17 08:42:10 EST 2017

Total time taken to generate the page: 0.00681 seconds